Subject: Re: bug#77599: Failed to compute the derivation for Guix

From: Rui Duan <[email-masked]>
Date: Wed, 9 Apr 2025 09:53:11 -0400

Hi James,

Thank you so much! I tried `guix pull` again after reading your email, 
and it was successful!

It is not a bug.

Before I filed the bug, I had tried it twice, and they both failed in 
the same way. Now I know what the error messages mean.

Best Regards,

Rui Duan

On 2025-04-08 22:05, James Smith wrote:
> Rui Duan <[email-masked]> writes:
> Hi Rui,
>
>> Hi,
>>
>> In Trisquel 11, I installed guix using aptitude, then I ran `guix pull` and it
>> ran into an error.
>>
>> The session is attached.
>>
>> Best Regards,
>>
>> Rui
>>
> Based on the log attached, it looks like guix pull had a network error
> that prevented it from finishing. Did you try pulling again?
>
> HTH,
>
> James Smith